// SPDX-License-Identifier: Apache-2.0
import ValidatedRequest from "../../../../core/validation/ValidatedArgs";
import FormatValidation from "../FormatValidation";
export default class UpdateConfigVersionRequest extends ValidatedRequest {
    configVersion;
    securityId;
    constructor({ configVersion, securityId }) {
        super({
            configVersion: FormatValidation.checkNumber(),
            securityId: FormatValidation.checkHederaIdFormatOrEvmAddress(),
        });
        this.configVersion = configVersion;
        this.securityId = securityId;
    }
}
